#pragma semicolon 1
#include <sourcemod>
#include <sdktools>
#define PL_VERSION "0.1"

public Plugin:myinfo =
{
	name        = "dod_gungame_endoverlay_addon",
	author      = "Darkranger",
	description = "Addon DoD:S GunGame End Overlay - shows an overlay at round end",
	version     = PL_VERSION,
	url         = "http://www.dodsourceplugins.net"
}

new Handle:g_overlaytime;
new String:ggOverlayFile[2][] = {"materials/darky/gg_overlay3.vtf", "materials/darky/gg_overlay3.vmt"};
new String:ggOverlay[1][] = {"darky/gg_overlay3"};


public OnPluginStart()
{
	CreateConVar("sm_gungame_addon_endoverlay", PL_VERSION, "DoD:S GunGame Round End Overlay", FCVAR_DONTRECORD|FCVAR_PLUGIN|FCVAR_NOTIFY);
	g_overlaytime = CreateConVar("sm_gungame_endoverlaytime",  "15", "Time in Seconds for Round End Overlay - must be lower then CVAR sm_gungame_bonustime", FCVAR_PLUGIN, true, 0.0, true, 60.0);
	AutoExecConfig(true, "dod_gungame_config_endoverlay", "dod_gungame_config");
}

public OnMapStart()
{
	for(new i = 0; i < 2; i++)
	{
		AddFileToDownloadsTable(ggOverlayFile[i]);
		if(!IsModelPrecached(ggOverlayFile[i]))
		{
			PrecacheModel(ggOverlayFile[i], true);
		}
	}
}

public g_RoundEndOverlay()
{
	for(new i = 1; i <= MaxClients; i++)
	{
		if(IsClientConnected(i) && IsClientInGame(i))
		{
			ClientCommand(i, "r_screenoverlay %s", ggOverlay[0]);
			CreateTimer(GetConVarFloat(g_overlaytime), removeoverlay, i);
		}
	}
}

public OnClientAuthorized(client, const String:steamid[])
{
	ClientCommand(client, "r_screenoverlay 0");
}

public Action:removeoverlay(Handle:timer, any:client)
{
		if(IsClientConnected(client))
		{
			ClientCommand(client, "r_screenoverlay 0");
		}
}